# Role: ufw

## Description

Installs and configure ufw.

Additional ufw rules can be set with vars.

https://launchpad.net/ufw

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.ufw
  vars:
    ...
```

### Vars

`ufw_reset`:

Set to true to do a full reset of ufw rules before applying them.

`ufw_rules`:

List of rules to pass to `community.general.ufw`.

`ufw_config_dir`:

UFW configuration directory, normally /etc/ufw.

`ufw_before_rules`:

List of rules to install to before.rules, normally to /etc/ufw/before.rules.

`ufw_before6_rules`:

List of rules to install to before6.rules, normally to /etc/ufw/before6.rules.

`ufw_after_rules`:

List of rules to install to after.rules, normally to /etc/ufw/after.rules.

`ufw_after6_rules`:

List of rules to install to after6.rules, normally to /etc/ufw/after6.rules.
